
// Implementation of the TechmodelFilter class.
 

#include <log4cxx/logger.h>
#include <TechmodelFilter.h>


using namespace pamela;
using namespace pamela::techmodel;

static log4cxx::LoggerPtr logger = log4cxx::Logger::getLogger(_T("pamela.techmodel.TechmodelFilter"));

/**
 * Constructor. 
 */
TechmodelFilter::TechmodelFilter(list<string> *userConstrains):
 Filter() { 
  logger->debug(_T("Constructor"));
  forbiddenPackets = userConstrains;
}


std::string TechmodelFilter::GetVersionInfo(void) const {
  return 
    "$Trailer: /home/cvsmanager/yoda/techmodel/TechmodelFilter.cpp,v 1.1.1.1 2004/07/06 12:20:23 kusanagi Exp $\n";
}


void TechmodelFilter::Init() {
  logger->debug(_T("Initialize"));
}

bool TechmodelFilter::CheckPacket(PacketType* packet) {
  logger->debug(_T("check"));
  //if (packet->GetName())
  return true;
}

ClassImp(TechmodelFilter)
